#
# spec file for package xorg-sgml-doctools
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xorg-sgml-doctools
Version:        1.12
Release:        1.7
Summary:        Set of SGML entities and XML/CSS style sheets for building X.org documentation
License:        MIT
Group:          Development/Tools/Building
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/doc/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf >= 2.60
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
# This was part of the xorg-x11-util-devel package up to version 7.6
Conflicts:      xorg-x11-util-devel <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides a common set of SGML entities and XML/CSS style
sheets used in building/formatting the documentation provided in other
X.Org packages.

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_datadir}/sgml/X11/
%{_datadir}/pkgconfig/xorg-sgml-doctools.pc

%changelog
* Mon Apr  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.12
  * autogen.sh: use quoted string variables
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen: add default patch prefix
  * configure: Drop AM_MAINTAINER_MODE
  * nextfullreldate is clearly not 2013
  * Set generate.consistent.ids in xsl stylesheets for more repeatable builds
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Fix spelling/wording issues
* Wed Jun  6 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.11
* Fri Apr 20 2012 vuntz@opensuse.org
- Update to version 1.10.99.901:
  + CSS style: support styling for multi licensed docs
  + Add libXt entry in masterdb.xml
  + ToC on separate page in pdfs
  + Set defs.ent values for X11R7.7 RC1
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xorg-sgml-doctools from xorg-x11-util-devel.
  Initial version: 1.10.
